<?php

function wt_get_ID_by_page_name($page_name)
{
	global $wpdb;
	$page_name_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '".$page_name."'");
	return $page_name_id;
}
////////////////////////////////////////////////////////////////////////////////
// new thumbnail code for wp 2.9+
////////////////////////////////////////////////////////////////////////////////
if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 150, 150, true ); // Normal post thumbnails
	add_image_size( 'single-post-thumbnail', 400, 9999 ); // Permalink thumbnail size

	add_theme_support( 'custom-background' );
}

// This theme uses wp_nav_menu() in one location.
register_nav_menus( array(
	'primary' => __( 'Primary Navigation', TEMPLATE_DOMAIN),
) );

function wpmudev_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'wpmudev_page_menu_args' );
////////////////////////////////////////////////////////////////////////////////
// WP-PageNavi
////////////////////////////////////////////////////////////////////////////////


function custom_wp_pagenavi($before = '', $after = '', $prelabel = '', $nxtlabel = '', $pages_to_show = 5, $always_show = false) {
	global $request, $posts_per_page, $wpdb, $paged;
	if(empty($prelabel)) {
		$prelabel  = '<strong>&laquo;</strong>';
	}
	if(empty($nxtlabel)) {
		$nxtlabel = '<strong>&raquo;</strong>';
	}
	$half_pages_to_show = round($pages_to_show/2);
	if (!is_single()) {
		if(!is_category()) {
			preg_match('#FROM\s(.*)\sORDER BY#siU', $request, $matches);
		} else {
			preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);
		}
		$fromwhere = $matches[1];
		$numposts = $wpdb->get_var("SELECT COUNT(DISTINCT ID) FROM $fromwhere");
		$max_page = ceil($numposts /$posts_per_page);
		if(empty($paged)) {
			$paged = 1;
		}
		if($max_page > 1 || $always_show) {
			echo "$before <div class=\"wp-pagenavi\"><span class=\"pages\">Page $paged of $max_page:</span>";
			if ($paged >= ($pages_to_show-1)) {
				echo '<a href="'.get_pagenum_link().'">&laquo; First</a>';
			}
			previous_post_link($prelabel);
			for($i = $paged - $half_pages_to_show; $i  <= $paged + $half_pages_to_show; $i++) {
				if ($i >= 1 && $i <= $max_page) {
					if($i == $paged) {
						echo "<strong class='current'>$i</strong>";
					} else {
						echo ' <a href="'.get_pagenum_link($i).'">'.$i.'</a> ';
					}
				}
			}
			next_post_link($nxtlabel, $max_page);
			if (($paged+$half_pages_to_show) < ($max_page)) {
				echo '<a href="'.get_pagenum_link($max_page).'">Last &raquo;</a>';
			}
			echo "</div> $after";
		}
	}
}


function get_ID_by_page_name($page_name)
{
	global $wpdb;
	$page_name_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '".$page_name."'");
	return $page_name_id;
}


////////////////////////////////////////////////////////////////////////////////
// Display page content by name
////////////////////////////////////////////////////////////////////////////////
	if(!function_exists('getPageContent'))
	{
		function getPageContent($pageName)
		{
			global $wpdb;
			$sql_query = 'SELECT * FROM ' . $wpdb->posts .
			' WHERE ' . $wpdb->posts . '.post_name="' . $pageName . '"';
			$posts = $wpdb->get_results($sql_query);
			if(!empty($posts))
			{
				foreach($posts as $post)
				{
					$content = $post->post_content;
					$content = apply_filters('the_content', $content);
					$content = str_replace(']]>', ']]&gt;', $content);
					return $content;
				}
			}
		}
	}

////////////////////////////////////////////////////////////////////////////////
// Comment and pingback separate controls
////////////////////////////////////////////////////////////////////////////////

$bm_trackbacks = array();
$bm_comments = array();

function split_comments( $source ) {

    if ( $source ) foreach ( $source as $comment ) {

        global $bm_trackbacks;
        global $bm_comments;

        if ( $comment->comment_type == 'trackback' || $comment->comment_type == 'pingback' ) {
            $bm_trackbacks[] = $comment;
        } else {
            $bm_comments[] = $comment;
        }
    }
}

////////////////////////////////////////////////////////////////////////////////
// excerpt features
////////////////////////////////////////////////////////////////////////////////
function the_excerpt_featured($excerpt_length = '', $allowedtags = '', $filter_type = 'none', $use_more_link = true, $more_link_text = '', $force_more_link = true, $fakeit = 1, $fix_tags = true) {
if (preg_match('%^content($|_rss)|^excerpt($|_rss)%', $filter_type)) {
$filter_type = 'the_' . $filter_type;
}
$text = apply_filters($filter_type, get_the_excerpt_featured($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit));
$text = ($fix_tags) ? balanceTags($text) : $text;
echo $text;
}

function get_the_excerpt_feature($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit) {
global $id, $post;
$output = '';
$output = $post->post_excerpt;
if (!empty($post->post_password)) { // if there's a password
if (post_password_required()) {  // and it doesn't match the cookie
$output = __('There is no excerpt because this is a protected post.', TEMPLATE_DOMAIN);
return $output;
}
}

// If we haven't got an excerpt, make one.
if ((($output == '') && ($fakeit == 1)) || ($fakeit == 2)) {
$output = $post->post_content;
$output = strip_tags($output, $allowedtags);

$output = preg_replace( '|\[(.+?)\](.+?\[/\\1\])?|s', '', $output );

$blah = explode(' ', $output);
if (count($blah) > $excerpt_length) {
$k = $excerpt_length;
$use_dotdotdot = 1;
} else {
$k = count($blah);
$use_dotdotdot = 0;
}
$excerpt = '';
for ($i=0; $i<$k; $i++) {
$excerpt .= $blah[$i] . ' ';
}
// Display "more" link (use css class 'more-link' to set layout).
if (($use_more_link && $use_dotdotdot) || $force_more_link) {
$excerpt .= "<a href=\"". get_permalink() . "#more-$id\">$more_link_text</a>";
} else {
$excerpt .= ($use_dotdotdot) ? '...' : '';
}
$output = $excerpt;
} // end if no excerpt
return $output;
}


/* post image */
function the_post_image_url($size) {

	global $post;
	$linkedimgurl = get_post_meta ($post->ID, 'image_url', true);

	if ( $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',))){

		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_image_src($image->ID, $size);
			$attachmenturl=$attachmenturl[0];
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			echo ''.$attachmenturl.'';
		}

	}

	elseif ( $linkedimgurl ) {
		echo $linkedimgurl;

	}

	elseif ( $linkedimgurl && $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',))){

		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_image_src($image->ID, $size);
			$attachmenturl=$attachmenturl[0];
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			echo ''.$attachmenturl.'';
		}

	}
	else {
			$defaultimage = get_bloginfo ( 'stylesheet_directory' );
			$defaultimage .= "/_inc/images/no-attachment.gif";
			echo $defaultimage;
	}
}

// Post Attachment image function. Direct link to file.
function the_post_image($size) {

	global $post;
	$linkedimgtag = get_post_meta ($post->ID, 'image_tag', true);

	if ( $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',))){

		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_url($image->ID);
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			echo ''.$attachmentimage.'';
		}

	}

	elseif ( $linkedimgtag ) {
			echo $linkedimgtag;

	}

	elseif ( $linkedimgtag && $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',))){

		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_url($image->ID);
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			echo ''.$attachmentimage.'';
		}

	}

	else {
		$defaultimage = get_bloginfo ( 'stylesheet_directory' );
		$defaultimage .= "/_inc/images/no-attachment.gif";
		echo $defaultimage;
	}
}

//Setup Images for Attachment functions
function image_setup($postid) {
	global $post;
	$post = get_post($postid);

	// get url
	if ( !preg_match('/<img ([^>]*)src=(\"|\')(.+?)(\2)([^>\/]*)\/*>/', $post->post_content, $matches) ) {
		return false;
	}

	// url setup
	$post->image_url = $matches[3];
	if ( !$post->image_url = preg_replace('/\?w\=[0-9]+/','', $post->image_url) )
		return false;

	$post->image_url = esc_url( $post->image_url, 'raw' );

	delete_post_meta($post->ID, 'image_url');
	delete_post_meta($post->ID, 'image_tag');
	add_post_meta($post->ID, 'image_url', $post->image_url);
	add_post_meta($post->ID, 'image_tag', '<img src="'.$post->image_url.'" />');

}

add_action('publish_post', "image_setup");
add_action('publish_page', "image_setup");

// Post Attachment image function for Attachment Pages. Not used in theme but could be called if want to have customisation
function the_attachment_image($size) {
	$attachmenturl=wp_get_attachment_url($image->ID);
	$attachmentimage=wp_get_attachment_image( $image->ID, $size );

	echo ''.$attachmentimage.'';
}

// Post Attachment image function for Attachment Pages. Not used in theme but could be called if want to have customisation
function link_to_attachment($size) {
	if ( $attachs = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',))){

		foreach( $attachs as $attach ) {
			$attachmentlink=get_attachment_link($attach->ID);
			echo '<a href="' . $attachmentlink . '">View EXIF Data</a>';
		}
	}
}

function wpbreadcrumbs(){
	if (is_page() && !is_front_page() || is_single() || is_category()) {
	        echo '<ul class="breadcrumbs">';
	        echo '<li class="front_page"><a href="'.get_bloginfo('url').'">'.get_bloginfo('name').'</a></li>';

	        if (is_page()) {
	            $ancestors = get_post_ancestors($post);

	            if ($ancestors) {
	                $ancestors = array_reverse($ancestors);

	                foreach ($ancestors as $crumb) {
	                    echo '<li><a href="'.get_permalink($crumb).'">'.get_the_title($crumb).'</a></li>';
	                }
	            }
	        }

	        if (is_single()) {
	            $category = get_the_category();
	            echo '<li><a href="'.get_category_link($category[0]->cat_ID).'">'.$category[0]->cat_name.'</a></li>';
	        }

	        if (is_category()) {
	            $category = get_the_category();
	            echo '<li>'.$category[0]->cat_name.'</li>';
	        }

	        // Current page
	        if (is_page() || is_single()) {
	            echo '<li class="current">'.get_the_title().'</li>';
	        }
	        echo '</ul>';
	    } elseif (is_front_page()) {
	        // Front page
	        echo '<ul class="breadcrumbs">';
	        echo '<li class="front_page"><a href="'.get_bloginfo('url').'">'.get_bloginfo('name').'</a></li>';
	        echo '<li class="current">'.__( 'Home', TEMPLATE_DOMAIN ).'</li>';
	        echo '</ul>';
	    }
}

function serverdate(){
		$today = date("F j, Y, g:i a");
		echo $today;
}

if ( ! function_exists( 'sleekphoto_information' ) ) :
function sleekphoto_information( $type = '' ) {
$cats = '<img src="'. get_bloginfo('template_url') .'/library/styles/colour-images/tag_red.png" />'. get_the_category_list( ', ' );
if( $type == 'portfolio' )
{
 $cats = '<img src="'. get_bloginfo('template_url') .'/library/styles/colour-images/tag_red.png" />Portfolio';
}
elseif( $type == 'page' )
{
 	$cats = '';
}
?>
			<div class="information">
				<img src="<?php bloginfo('template_directory'); ?>/library/styles/colour-images/date.png" style="padding-left:0" />&nbsp;<?php echo get_the_date(); ?>
				<?php echo $cats; ?>
				<img src="<?php bloginfo('template_directory'); ?>/library/styles/colour-images/user.png" />&nbsp;<?php echo get_the_author(); ?>
			</div>
<?php
}
endif;

function two_columns_func($atts, $content) {
	extract(shortcode_atts(array(
		'width' => '',
	), $atts));
	$width = ($width == "") ? '' : " style='width: {$width}px'";

	return "<div class='two_columns'{$width}>{$content}</div>";
}
add_shortcode('two_columns', 'two_columns_func');

function two_columns_func_last($atts, $content) {
	extract(shortcode_atts(array(
		'width' => '',
	), $atts));
	$width = ($width == "") ? '' : " style='width: {$width}px'";

	return "<div class='two_columns_last'{$width}>{$content}</div><div class='clear'></div>";
}
add_shortcode('two_columns_last', 'two_columns_func_last');

function three_columns_func($atts, $content) {
	extract(shortcode_atts(array(
		'width' => '',
	), $atts));
	$width = ($width == "") ? '' : " style='width: {$width}px'";

	return "<div class='three_columns'{$width}>{$content}</div>";
}
add_shortcode('three_columns', 'three_columns_func');

function three_columns_func_start($atts, $content) {
	extract(shortcode_atts(array(
		'width' => '',
	), $atts));
	$width = ($width == "") ? '' : " style='width: {$width}px'";

	return "<div class='three_columns_start{$width}'>{$content}</div>";
}
add_shortcode('three_columns_start', 'three_columns_func_start');

function three_columns_func_last($atts, $content) {
	extract(shortcode_atts(array(
		'width' => '',
	), $atts));
	$width = ($width == "") ? '' : " style='width: {$width}px'";

	return "<div class='three_columns_last'{$width}>{$content}</div><div class='clear'></div>";
}
add_shortcode('three_columns_last', 'three_columns_func_last');

function four_columns_func($atts, $content) {
	extract(shortcode_atts(array(
		'width' => '',
	), $atts));
	$width = ($width == "") ? '' : " style='width: {$width}px'";

	return "<div class='four_columns'{$width}>{$content}</div>";
}
add_shortcode('four_columns', 'four_columns_func');

function four_columns_func_start($atts, $content) {
	extract(shortcode_atts(array(
		'width' => '',
	), $atts));
	$width = ($width == "") ? '' : " style='width: {$width}px'";

	return "<div class='four_columns_start{$width}'>{$content}</div>";
}
add_shortcode('four_columns_start', 'four_columns_func_start');

function four_columns_func_last($atts, $content) {
	extract(shortcode_atts(array(
		'width' => '',
	), $atts));
	$width = ($width == "") ? '' : " style='width: {$width}px'";

	return "<div class='four_columns_last'{$width}>{$content}</div><div class='clear'></div>";
}
add_shortcode('four_columns_last', 'four_columns_func_last');

function sleekphoto_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	 <div id="comment-<?php comment_ID(); ?>">
	  <div style="clear:both"></div>
	  <div class="hr"></div>
	  <br />
	  <div class="comment-author vcard">
		 <?php echo get_avatar($comment,$size='80'); ?><br /><center>
		 <?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>
		 </center>
	  </div>
	  <?php if ($comment->comment_approved == '0') : ?>
		 <em><?php _e('Your comment is awaiting moderation.') ?></em>
		 <br />
	  <?php endif; ?>
<div class="comment-text">
<div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>
	  <?php comment_text() ?>
</div>
<div style="clear:both"></div>
	  <div class="reply">
		 <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
	  </div>
	  <div style="clear:both"></div>
	 </div>
<?php
		}

?>