<?php
function _g($str)
{
return __($str, 'option-page');
}

$themename = "SleekPhoto";
$themeversion = "1.1";
$shortname = "dev";
$shortprefix = "_sleekphoto_";
/* get pages so can set them */
$dev_pages_obj = get_pages();
$dev_pages = array();
foreach ($dev_pages_obj as $dev_cat) {
	$dev_pages[$dev_cat->ID] = $dev_cat->post_name;
}
$pages_tmp = array_unshift($dev_pages, "Select a page:");
/* end of get pages */
/* get categories so can set them */
$dev_categories_obj = get_categories('hide_empty=0');
$dev_categories = array();
$dev_categories['all'] = 'All';
foreach ($dev_categories_obj as $dev_cat) {
	$dev_categories[$dev_cat->cat_ID] = $dev_cat->category_nicename;
}
$categories_tmp = array_unshift($dev_categories, "Select a category:");
/* end of get categories */

/* start of theme options */

$options = array(
	array(
		"name" => __("Site slogan", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "site_slogan",
		"inblock" => "branding",
		"type" => "text",
		"std" => "",
	),
	array("name" => __("Do you to use a custom large image logo rather than domain name text?", TEMPLATE_DOMAIN),
		"description" => __("Enter your url in the next section if saying yes", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "header_image",
		"inblock" => "branding",
		"type" => "select",
		"std" => "Select",
		"options" => array("yes", "no")),

	array(
		"name" => __("Insert your logo full url here", TEMPLATE_DOMAIN),
		"description" => __("You can upload your logo in <a href='media-new.php'>media panel</a> and copy paste the url here", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "header_logo",
		"inblock" => "branding",
		"type" => "text",
		"std" => "",
	),

	array("name" => __("Do you to use a custom square image logo and your domain name text?", TEMPLATE_DOMAIN),
		"description" => __("Enter your url in the next section if saying yes", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "header_image_square",
		"inblock" => "branding",
		"type" => "select",
		"std" => "Select",
		"options" => array("yes", "no")),

	array(
		"name" => __("Insert your square logo full url here", TEMPLATE_DOMAIN),
		"description" => __("You can upload your logo in <a href='media-new.php'>media panel</a> and copy paste the url here", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "header_logo_square",
		"inblock" => "branding",
		"type" => "text",
		"std" => "",
	),

array( 	"name" => __("Select a page for your front page", TEMPLATE_DOMAIN),
	"id" => $shortname . $shortprefix . "feature_page",
	"inblock" => "home",
	"type" => "select",
	"std" => "Select a page:",
	"options" => $dev_pages),

	array(
		"name" => __("Twitter", TEMPLATE_DOMAIN),
		"description" => __("Your twitter profile.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "twitter",
		"inblock" => "social",
		"type" => "text",
		"std" => "http://twitter.com/",
	),
	array(
		"name" => __("Facebook", TEMPLATE_DOMAIN),
		"description" => __("Your facebook profile.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "facebook",
		"inblock" => "social",
		"type" => "text",
		"std" => "http://facebook.com/",
	),

	array(
		"name" => __("Flickr", TEMPLATE_DOMAIN),
		"description" => __("Your flickr profile.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "flickr",
		"inblock" => "social",
		"type" => "text",
		"std" => "http://flickr.com/",
	),

	array(
		"name" => __("Digg", TEMPLATE_DOMAIN),
		"description" => __("Your digg profile.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "digg",
		"inblock" => "social",
		"type" => "text",
		"std" => "",
	),

	array(
		"name" => __("Select a method for your slideshow", TEMPLATE_DOMAIN),
		"description" => __("", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "method",
		"inblock" => "slider",
		"type" => "select",
		"std" => "Select a category:",
		"options" => array('posts', 'manual'),
	),
	array(
		"name" => __("Select a category for your slideshow", TEMPLATE_DOMAIN),
		"description" => __("", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "category",
		"inblock" => "slider",
		"type" => "select",
		"std" => "Select a category:",
		"options" => $dev_categories,
	),
	array(
		"name" => __("Select number of posts to show in slideshow", TEMPLATE_DOMAIN),
		"description" => __("", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slides",
		"inblock" => "slider",
		"type" => "select",
		"std" => "full",
		"options" => array("1", "2", "3", "4", "5"),
	),
	array(
		"name" => __("Select display size of featured image", TEMPLATE_DOMAIN),
		"description" => __("", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "featured_size",
		"inblock" => "slider",
		"type" => "select",
		"std" => "full",
		"options" => array("full", "large", "medium", "thumbnail"),
	),
	array(
		"name" => __("Slide 1 title", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Used in alt of the image & title of the link.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide1_title",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 1 image", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Full URL.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide1_image",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 1 link", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. The link of the slide.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide1_link",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 2 title", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Used in alt of the image & title of the link.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide2_title",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 2 image", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Full URL.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide2_image",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 2 link", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. The link of the slide.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide2_link",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 3 title", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Used in alt of the image & title of the link.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide3_title",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 3 image", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Full URL.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide3_image",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 3 link", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. The link of the slide.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide3_link",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 4 title", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Used in alt of the image & title of the link.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide4_title",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 4 image", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Full URL.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide4_image",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 4 link", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. The link of the slide.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide4_link",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 5 title", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Used in alt of the image & title of the link.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide5_title",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 5 image", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. Full URL.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide5_image",
		"inblock" => "slider",
		"type" => "text",
	),
	array(
		"name" => __("Slide 5 link", TEMPLATE_DOMAIN),
		"description" => __("Only if chosen Manual in the method field. The link of the slide.", TEMPLATE_DOMAIN),
		"id" => $shortname . $shortprefix . "slide5_link",
		"inblock" => "slider",
		"type" => "text",
	),

);

function sleekphoto_admin_panel() {
	global $themename, $shortname, $options, $options2, $options3;
	if (isset($_GET['saved']) ) echo '<div id="message" class="updated fade"><p><strong>'. $themename . __(' settings saved.', TEMPLATE_DOMAIN) . '</strong></p></div>';
	if ( isset($_REQUEST['reset']) ) echo '<div id="message" class="updated fade"><p><strong>'. $themename . __(' settings reset.', TEMPLATE_DOMAIN) . '</strong></p></div>';
	?>
	<div id="options-panel">
	<form action="" method="post">

	  <div id="sbtabs">
	  <div class="tabmc">
	  <ul class="ui-tabs-nav" id="tabm">
	  <li class="first ui-tabs-selected"><a href="#home"><?php _e("Home",TEMPLATE_DOMAIN); ?></a></li>
	  <li class=""><a href="#branding"><?php _e("Branding",TEMPLATE_DOMAIN); ?></a></li>
	  <li class=""><a href="#social"><?php _e("Social links",TEMPLATE_DOMAIN); ?></a></li>
	  <li class=""><a href="#slider"><?php _e("Slider",TEMPLATE_DOMAIN); ?></a></li>
	  </ul>
	  </div>

	<div class="tabc">


	<ul style="" class="ui-tabs-panel" id="home">
	<li>

	<h2><?php _e("Home page settings", TEMPLATE_DOMAIN) ?></h2>


	<?php $value_var = 'home'; foreach ($options as $value) { ?>

	<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
	</div>

	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


	<div class="tab-option">
	<?php
	$valuex = $value['id'];
	$valuey = stripslashes($valuex);
	$video_code = get_option($valuey);
	?>
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
	</textarea></p></div>
	</div>


	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

	<?php $i == $i++ ; ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
	</div>

	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php if(isset($value['description']))echo $value['description']; ?></span></div>
	<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
	<?php foreach ($value['options'] as $option) { ?>
	<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	<?php } ?>
	</select>
	</p>
	</div>
	</div>

	<?php } ?>
	<?php } ?>
	</li></ul>

	<ul style="" class="list9 ui-tabs-panel ui-tabs-hide" id="branding">

	<li>

	<h2><?php _e("Branding Settings", TEMPLATE_DOMAIN) ?></h2>

	<?php $value_var = 'branding'; foreach ($options as $value) { ?>

	<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php if(isset($value['description']))echo $value['description']; ?></span></div>
	<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
	</div>

	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


	<div class="tab-option">
	<?php
	$valuex = $value['id'];
	$valuey = stripslashes($valuex);
	$video_code = get_option($valuey);
	?>
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
	</textarea></p></div>
	</div>


	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

	<?php $i == $i++ ; ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
	</div>

	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
	<?php foreach ($value['options'] as $option) { ?>
	<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	<?php } ?>
	</select>
	</p>
	</div>
	</div>

	<?php } ?>
	<?php } ?>
	</li></ul>
	<ul style="" class="ui-tabs-panel" id="social">
	<li>

	<h2><?php _e("Social links", TEMPLATE_DOMAIN) ?></h2>


	<?php $value_var = 'social'; foreach ($options as $value) { ?>

	<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
	</div>

	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


	<div class="tab-option">
	<?php
	$valuex = $value['id'];
	$valuey = stripslashes($valuex);
	$video_code = get_option($valuey);
	?>
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
	</textarea></p></div>
	</div>


	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

	<?php $i == $i++ ; ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
	</div>

	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
	<?php foreach ($value['options'] as $option) { ?>
	<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	<?php } ?>
	</select>
	</p>
	</div>
	</div>

	<?php } ?>
	<?php } ?>
	</li></ul>
	<ul style="" class="ui-tabs-panel" id="slider">
	<li>

	<h2><?php _e("Slider options", TEMPLATE_DOMAIN) ?></h2>


	<?php $value_var = 'slider'; foreach ($options as $value) { ?>

	<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { if(isset($value['std']))echo stripslashes($value['std']); } ?>" /></p></div>
	</div>

	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


	<div class="tab-option">
	<?php
	$valuex = $value['id'];
	$valuey = stripslashes($valuex);
	$video_code = get_option($valuey);
	?>
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
	</textarea></p></div>
	</div>


	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

	<?php $i == $i++ ; ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
	</div>

	<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

	<div class="tab-option">
	<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
	<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
	<?php foreach ($value['options'] as $option) { ?>
	<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	<?php } ?>
	</select>
	</p>
	</div>
	</div>

	<?php } ?>
	<?php } ?>
	</li></ul>


	</div>
	</div>



	<div class="submit">
	<input name="save" type="submit" class="sbutton" value="<?php echo esc_attr(__('Save All Options',TEMPLATE_DOMAIN)); ?>" />
	<input type="hidden" name="action" value="save" />
	</div>

	</form>



	<form method="post">
	<div class="submit">
	<input name="reset" type="submit" class="sbutton" value="<?php echo esc_attr(__('Reset All Options',TEMPLATE_DOMAIN)); ?>" />
	<input type="hidden" name="action" value="reset" />
	</div>

	</form>


	</div>

	<?php
	}

$options3 = array (

array(
	"name" => __("Choose your background colour", TEMPLATE_DOMAIN),
	"id" => $shortname . $shortprefix . "background_colour",
	"inblock" => "design",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your body font", TEMPLATE_DOMAIN),
	"id" => $shortname . $shortprefix . "body_font",
	"type" => "select",
	"inblock" => "design",
	"std" => "Arial, sans-serif",
				"options" => array(
	            "Lucida Grande, Lucida Sans, sans-serif",
	            "Arial, sans-serif",
	            "Verdana, sans-serif",
	            "Trebuchet MS, sans-serif",
	            "Fertigo, serif",
	            "Georgia, serif",
	            "Cambria, Georgia, serif",
	            "Tahoma, sans-serif",
	            "Helvetica, Arial, sans-serif",
	            "Corpid, Corpid Bold, sans-serif",
	            "Century Gothic, Century, sans-serif",
	            "Palatino Linotype, Times New Roman, serif",
	            "Garamond, Georgia, serif",
	            "Caslon Book BE, Caslon, Arial Narrow",
	            "Arial Rounded Bold, Arial",
	            "Arial Narrow, Arial",
	            "Myriad Pro, Calibri, sans-serif",
	            "Candara, Calibri, Lucida Grande",
	            "Univers LT 55, Univers LT Std 55, Univers, sans-serif",
	            "Ronda, Ronda Light, Century Gothic",
	            "Century, Times New Roman, serif",
	            "Courier New, Courier, monospace",
	            "Walbaum LT Roman, Walbaum, Times New Roman",
	            "Dax, Dax-Regular, Dax-Bold, Trebuchet MS",
	            "VAG Round, Arial Rounded Bold, sans-serif",
	            "Humana Sans ITC, Humana Sans Md ITC, Lucida Grande",
	            "Qlassik Medium, Qlassik Bold, Lucida Grande",
	            "TradeGothic LT, Lucida Sans, Lucida Grande",
	            "Cocon, Cocon-Light, sans-serif",
	            "Frutiger, Frutiger LT Std 55 Roman, tahoma",
	            "Futura LT Book, Century Gothic, sans-serif",
	            "Steinem, Cocon, Cambria",
	            "Delicious, Trebuchet MS, sans-serif",
	            "Helvetica 65 Medium, Helvetica Neue, Helvetica Bold, sans-serif",
	            "Helvetica Neue, Helvetica, Helvetica-Normal, sans-serif",
	            "Helvetica Rounded, Arial Rounded Bold, VAGRounded BT, sans-serif",
	            "Decker, sans-serif",
	            "Mrs Eaves OT, Georgia, Cambria, serif",
	            "Anivers, Lucida Sans, Lucida Grande",
	            "Geneva, sans-serif",
	            "Trajan, Trajan Pro, serif",
	            "FagoCo, Calibri, Lucida Grande",
	            "Meta, Meta Bold , Meta Medium, sans-serif",
	            "Chocolate, Segoe UI, Seips",
	            "Ronda, Ronda Light, Century Gothic",
	            "DIN, DINPro-Regular, DINPro-Medium, sans-serif",
	            "Gotham, Georgia, serif"
	            )
),

array(
	"name" => __("Choose your header font", TEMPLATE_DOMAIN),
	"id" => $shortname . $shortprefix . "header_font",
	"type" => "select",
	"inblock" => "design",
	"std" => "Arial, sans-serif",
				"options" => array(
	            "Lucida Grande, Lucida Sans, sans-serif",
	            "Arial, sans-serif",
	            "Verdana, sans-serif",
	            "Trebuchet MS, sans-serif",
	            "Fertigo, serif",
	            "Georgia, serif",
	            "Cambria, Georgia, serif",
	            "Tahoma, sans-serif",
	            "Helvetica, Arial, sans-serif",
	            "Corpid, Corpid Bold, sans-serif",
	            "Century Gothic, Century, sans-serif",
	            "Palatino Linotype, Times New Roman, serif",
	            "Garamond, Georgia, serif",
	            "Caslon Book BE, Caslon, Arial Narrow",
	            "Arial Rounded Bold, Arial",
	            "Arial Narrow, Arial",
	            "Myriad Pro, Calibri, sans-serif",
	            "Candara, Calibri, Lucida Grande",
	            "Univers LT 55, Univers LT Std 55, Univers, sans-serif",
	            "Ronda, Ronda Light, Century Gothic",
	            "Century, Times New Roman, serif",
	            "Courier New, Courier, monospace",
	            "Walbaum LT Roman, Walbaum, Times New Roman",
	            "Dax, Dax-Regular, Dax-Bold, Trebuchet MS",
	            "VAG Round, Arial Rounded Bold, sans-serif",
	            "Humana Sans ITC, Humana Sans Md ITC, Lucida Grande",
	            "Qlassik Medium, Qlassik Bold, Lucida Grande",
	            "TradeGothic LT, Lucida Sans, Lucida Grande",
	            "Cocon, Cocon-Light, sans-serif",
	            "Frutiger, Frutiger LT Std 55 Roman, tahoma",
	            "Futura LT Book, Century Gothic, sans-serif",
	            "Steinem, Cocon, Cambria",
	            "Delicious, Trebuchet MS, sans-serif",
	            "Helvetica 65 Medium, Helvetica Neue, Helvetica Bold, sans-serif",
	            "Helvetica Neue, Helvetica, Helvetica-Normal, sans-serif",
	            "Helvetica Rounded, Arial Rounded Bold, VAGRounded BT, sans-serif",
	            "Decker, sans-serif",
	            "Mrs Eaves OT, Georgia, Cambria, serif",
	            "Anivers, Lucida Sans, Lucida Grande",
	            "Geneva, sans-serif",
	            "Trajan, Trajan Pro, serif",
	            "FagoCo, Calibri, Lucida Grande",
	            "Meta, Meta Bold , Meta Medium, sans-serif",
	            "Chocolate, Segoe UI, Seips",
	            "Ronda, Ronda Light, Century Gothic",
	            "DIN, DINPro-Regular, DINPro-Medium, sans-serif",
	            "Gotham, Georgia, serif"
	            )
),

array(
	"name" => __("Choose your body font colour", TEMPLATE_DOMAIN),
	"id" => $shortname . $shortprefix . "font_colour",
	"inblock" => "design",
	"std" => "",
	"type" => "colorpicker"),

array(
	"name" => __("Choose your body link colour", TEMPLATE_DOMAIN),
	"id" => $shortname . $shortprefix . "link_colour",
	"inblock" => "design",
	"std" => "",
	"type" => "colorpicker"),

);

function sleekphoto_custom_style_admin_panel() {

		global $options, $options2, $options3;
$i = 0;
		if ( isset($_REQUEST['saved3']) ) echo '<div id="message" class="updated fade"><p><strong>'. $themename . __(' settings saved.', TEMPLATE_DOMAIN) . '</strong></p></div>';
		if ( isset($_REQUEST['reset3']) ) echo '<div id="message" class="updated fade"><p><strong>'. $themename . __(' settings reset.', TEMPLATE_DOMAIN) . '</strong></p></div>';
		?>

		<div id="options-panel">
		<form action="" method="post">

		  <div id="sbtabs">
		  <div class="tabmc">
		  <ul class="ui-tabs-nav" id="tabm">
		  <li class="first ui-tabs-selected"><a href="#design"><?php _e("Design",TEMPLATE_DOMAIN); ?></a></li>
		  </ul>
		</div>


		<div class="tabc">


		<ul style="" class="ui-tabs-panel" id="design">
		<li>
			<h2><?php _e("Design styling", TEMPLATE_DOMAIN) ?></h2>

			<?php $value_var = 'design'; foreach ($options3 as $value) { ?>

			<?php if (($value['inblock'] == $value_var) && ($value['type'] == "text")) { // setting ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
			<div class="input-option"><p><input name="<?php echo $value['id']; ?>" class="myfield" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo stripslashes(get_option( $value['id']) ); } else { echo stripslashes($value['std']); } ?>" /></p></div>
			</div>

			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "textarea")) { // setting ?>


			<div class="tab-option">
			<?php
			$valuex = $value['id'];
			$valuey = stripslashes($valuex);
			$video_code = get_option($valuey);
			?>
			<div class="description"><?php echo $value['name']; ?><br /><span><?php echo $value['description']; ?></span></div>
			<div class="input-option"><p><textarea name="<?php echo $valuey; ?>" class="mytext" cols="40%" rows="8" /><?php if ( get_option($valuey) != "") { echo stripslashes($video_code); } else { echo $value['std']; } ?>
			</textarea></p></div>
			</div>


			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "colorpicker") ) { // setting ?>

			<?php $i == $i++ ; ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span><?php if(isset($value['description']))echo $value['description']; ?></span></div>
			<div class="input-option"><p><input class="color {required:false,hash:true}" name="<?php echo $value['id']; ?>" id="colorpickerField<?php echo $i; ?>" type="text" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" /></p></div>
			</div>

			<?php } elseif (($value['inblock'] == $value_var) && ($value['type'] == "select") ) { // setting ?>

			<div class="tab-option">
			<div class="description"><?php echo $value['name']; ?><br /><span><?php if(isset($value['description']))echo $value['description']; ?></span></div>
			<div class="input-option"><p><select name="<?php echo $value['id']; ?>" class="myselect" id="<?php echo $value['id']; ?>">
			<?php foreach ($value['options'] as $option) { ?>
			<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
			<?php } ?>
			</select>
			</p>
			</div>
			</div>

			<?php } ?>
			<?php } ?>
		</li>
		</ul>
	</div>
	</div>



	<div class="submit">
	<input name="save" type="submit" class="sbutton" value="<?php echo esc_attr(__('Save All Options',TEMPLATE_DOMAIN)); ?>" />
	<input type="hidden" name="action" value="save3" />
	</div>

	</form>



	<form method="post">
	<div class="submit">
	<input name="reset" type="submit" class="sbutton" value="<?php echo esc_attr(__('Reset All Options',TEMPLATE_DOMAIN)); ?>" />
	<input type="hidden" name="action" value="reset3" />
	</div>

	</form>


	</div>

<?php
}


/* Preset Styling section */
/* stylesheet addition */
$alt_stylesheet_path = TEMPLATEPATH .'/library/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
	if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) {
		while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
			if(stristr($alt_stylesheet_file, ".css") !== false) {
				$alt_stylesheets[] = $alt_stylesheet_file;
			}
		}
	}
}

$category_bulk_list = array_unshift($alt_stylesheets, "default.css");
	$options2 = array (

	array(  "name" => __("Choose Your sleekphoto Preset Style:", TEMPLATE_DOMAIN),
		  	"id" => $shortname. $shortprefix . "custom_style",
			"std" => "default.css",
			"type" => "radio",
			"options" => $alt_stylesheets)
	);

function sleekphoto_ready_style_admin_panel() {
	echo "<div id=\"admin-options\">";

	global $themename, $shortname, $options2;

	if ( isset($_REQUEST['saved2']) ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	if ( isset($_REQUEST['reset2']) ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>

<h4><?php echo "$themename"; ?> <?php _e('Choose your sleekphoto Preset Style', TEMPLATE_DOMAIN); ?></h4>
<h2><?php _e('If you want to customise the theme options you MUST have default.css selected'); ?></h2>
<form action="" method="post">
<div class="get-listings">
<h2><?php _e("Style Select:", TEMPLATE_DOMAIN) ?></h2>
<div class="option-save">
<ul>
<?php foreach ($options2 as $value) { ?>

<?php foreach ($value['options'] as $option2) {
$screenshot_img = substr($option2,0,-4);
$radio_setting = get_option($value['id']);
if($radio_setting != '') {
	if (get_option($value['id']) == $option2) {
		$checked = "checked=\"checked\""; } else { $checked = "";
	}
}
else {
	if(get_option($value['id']) == $value['std'] ){
		$checked = "checked=\"checked\"";
	}
	else {
		$checked = "";
	}
} ?>

<li>
<div class="theme-img">
	<img src="<?php bloginfo('template_directory'); ?>/library/styles/images/<?php echo $screenshot_img . '.png'; ?>" alt="<?php echo $screenshot_img; ?>" />
</div>
<input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $option2; ?>" <?php echo $checked; ?> /><?php echo $option2; ?>
</li>

<?php }
} ?>

</ul>
</div>
</div>
	<p id="top-margin" class="save-p">
		<input name="save" type="submit" class="sbutton" value="<?php echo esc_attr(__('Save Options', TEMPLATE_DOMAIN)); ?>" />
		<input type="hidden" name="action" value="save2" />
	</p>
</form>

<form method="post">
	<p class="save-p">
		<input name="reset" type="submit" class="sbutton" value="<?php echo esc_attr(__('Reset Options', TEMPLATE_DOMAIN)); ?>" />
		<input type="hidden" name="action" value="reset2" />
	</p>
</form>
</div>

<?php }

function sleekphoto_admin_register() {
	global $themename, $shortname, $options;

	if ( isset($_GET['page']) && $_GET['page'] == 'functions.php' && isset($_POST['action']) ) {

		switch($_REQUEST['action']){
			case 'save':
				foreach ($options as $value) {
					if( isset( $_REQUEST[ $value['id'] ] ) ) {
						update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
					} else {
						delete_option( $value['id'] );
					}
				}
				header("Location: themes.php?page=functions.php&saved=true");
				die;
			break;
			case 'reset':
				foreach ($options as $value) {
					delete_option( $value['id'] );
				}
				header("Location: themes.php?page=functions.php&reset=true");
				die;
			break;
		}

	}

	add_theme_page(_g ($themename . __(' Theme Options', TEMPLATE_DOMAIN)),  _g (__('Theme Options', TEMPLATE_DOMAIN)),  'edit_theme_options', 'functions.php', 'sleekphoto_admin_panel');
}


function sleekphoto_ready_style_admin_register() {
	global $themename, $shortname, $options, $options2, $options3;
	if ( isset($_GET['page']) && $_GET['page'] == 'sleekphoto-themes.php' ) {
		if ( isset($_POST['action']) && 'save2' == $_REQUEST['action'] ) {
			foreach ($options2 as $value) {
				update_option( $value['id'], $_REQUEST[ $value['id'] ] );
			}
			foreach ($options2 as $value) {
				if( isset( $_REQUEST[ $value['id'] ] ) ) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
				}
				else {
					delete_option( $value['id'] );
				}
			}
			header("Location: themes.php?page=sleekphoto-themes.php&saved2=true");
			die;
		}
		else if( isset($_GET['action']) && 'reset2' == $_REQUEST['action'] ) {
			foreach ($options2 as $value) {
				delete_option( $value['id'] );
			}
			header("Location: themes.php?page=sleekphoto-themes.php&reset2=true");
			die;
		}
	}
	add_theme_page(_g (__('sleekphoto Preset Style', TEMPLATE_DOMAIN)),  _g (__('Preset Style', TEMPLATE_DOMAIN)),  'edit_theme_options', 'sleekphoto-themes.php', 'sleekphoto_ready_style_admin_panel');
}


function sleekphoto_custom_style_admin_register() {
	global $themename, $shortname, $options, $options2, $options3;
		if ( isset($_GET['page']) && $_GET['page'] == 'styling-functions.php' ) {
			if ( isset($_POST['action']) && 'save3' == $_REQUEST['action'] ) {
				foreach ($options3 as $value) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
				foreach ($options3 as $value) {
					if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
					}
					else { delete_option( $value['id'] ); }
				}
				header("Location: themes.php?page=styling-functions.php&saved3=true");
				die;
				}
				else if( isset($_GET['action']) && 'reset3' == $_REQUEST['action'] ) {
					foreach ($options3 as $value) {
						delete_option( $value['id'] );
					}
				header("Location: themes.php?page=styling-functions.php&reset3=true");
				die;
				}
			}
			add_theme_page(_g ($themename . __('Custom styling', TEMPLATE_DOMAIN)),  _g (__('Custom Styling', TEMPLATE_DOMAIN)),  'edit_theme_options', 'styling-functions.php', 'sleekphoto_custom_style_admin_panel');
	}

function sleekphoto_admin_head() { ?>
	<link href="<?php bloginfo('template_directory'); ?>/library/options/options-css.css" rel="stylesheet" type="text/css" />

	<?php if ( (isset($_GET['page']) && $_GET['page'] == 'styling-functions.php' ) || (isset($_GET['page']) &&  $_GET['page'] == 'functions.php' )) {?>
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/library/scripts/jquery.js"></script>
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/library/scripts/jscolor.js"></script>
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/library/scripts/jquery-ui-personalized-1.6rc2.min.js"></script>
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/library/scripts/jquery.cookie.min.js"></script>

		<script type="text/javascript">
			   jQuery.noConflict();

		jQuery(document).ready(function(){
		jQuery('ul#tabm').tabs({event: "click"});
		});
		</script>

	<?php } ?>

	<?php if (isset($_GET['page']) && $_GET['page'] == 'sleekphoto-themes.php'){?>
			<link href="<?php bloginfo('template_directory'); ?>/library/options/custom-admin.css" rel="stylesheet" type="text/css" />
	<?php } ?>

<?php }

add_action('admin_head', 'sleekphoto_admin_head');
add_action('admin_menu', 'sleekphoto_admin_register');
add_action('admin_menu', 'sleekphoto_ready_style_admin_register');
add_action('admin_menu', 'sleekphoto_custom_style_admin_register');

?>